0.99.1: Error when images are opened from dupeGuru

*** Please report new bugs here! ***

Moderators: XnTriq, helmut, xnview, Dreamer

orlydb
Posts: 19
Joined: Sat Apr 04, 2020 5:57 am

Re: 0.99.1: Error when images are opened from dupeGuru

Post by orlydb »

By reading their requirements.txt it sates:

PyQt5 >=5.14.1,<6.0
User avatar
xnview
Author of XnView
Posts: 43988
Joined: Mon Oct 13, 2003 7:31 am
Location: France

Re: 0.99.1: Error when images are opened from dupeGuru

Post by xnview »

so it seems that dupeGuru loads QT librairies from XnView's folder
Pierre.
orlydb
Posts: 19
Joined: Sat Apr 04, 2020 5:57 am

Re: 0.99.1: Error when images are opened from dupeGuru

Post by orlydb »

Any news about this? Unfortunately the problem still persists with 1.4.5
kajoken
Posts: 5
Joined: Fri Sep 01, 2023 9:03 am

Re: 0.99.1: Error when images are opened from dupeGuru

Post by kajoken »

1.5.3 - The problem still persists.
gwompki
Posts: 2
Joined: Sun Dec 17, 2023 5:18 am

Re: 0.99.1: Error when images are opened from dupeGuru

Post by gwompki »

Issue seems to no longer be present on my end (XnViewMP@1.6.3 and dupeGuru@4.3.1)
gwompki
Posts: 2
Joined: Sun Dec 17, 2023 5:18 am

Re: 0.99.1: Error when images are opened from dupeGuru

Post by gwompki »

aaand it's back with 1.6.5

wonder what changes in xnview's qt5core.dll cause other apps to freak out

edit: so i played around with the files by replacing some of the qt5 related dlls in xnview's folder, and it seems that by replacing both Qt5Gui and Qt5Widgets with their respective 1.6.5 versions, dupeGuru could launch xnview with no issues so far. don't know if these 2 dlls the only ones involved in the errors given in older versions however.